IF OBJECT_ID('dbo.fn_fco_subtipo_cotizante') IS NOT NULL
    DROP FUNCTION dbo.fn_fco_subtipo_cotizante
GO
CREATE FUNCTION dbo.fn_fco_subtipo_cotizante
(
    @pch_compania char(4),
    @pch_trabajador char(10)
)
/* definicion para */
RETURNS tinyint
AS
BEGIN
    DECLARE @vti_subtipo tinyint

    SELECT @vti_subtipo = CASE WHEN relacion_laboral = '?' THEN 1 ELSE 0 END
    FROM trabajadores_grales
    WHERE compania = @pch_compania
      AND trabajador = @pch_trabajador

    RETURN ISNULL(@vti_subtipo, 0)
END
GO
GRANT EXECUTE ON dbo.fn_fco_subtipo_cotizante TO PUBLIC
GO
